# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['jtech',
 'jtech.architecture',
 'jtech.clean_generators',
 'jtech.clean_generators.adapters',
 'jtech.clean_generators.configs',
 'jtech.clean_generators.controllers',
 'jtech.clean_generators.domains',
 'jtech.clean_generators.entities',
 'jtech.clean_generators.exceptions',
 'jtech.clean_generators.ports',
 'jtech.clean_generators.protocols',
 'jtech.clean_generators.repositories',
 'jtech.clean_generators.usecases',
 'jtech.clean_generators.utils',
 'jtech.cqrs_generators',
 'jtech.cqrs_generators.aggregate',
 'jtech.cqrs_generators.commands',
 'jtech.cqrs_generators.controllers',
 'jtech.cqrs_generators.entities',
 'jtech.cqrs_generators.infra',
 'jtech.cqrs_generators.protocols',
 'jtech.cqrs_generators.queries',
 'jtech.cqrs_generators.repositories',
 'jtech.cqrs_generators.services',
 'jtech.cqrs_generators.tests',
 'jtech.creators',
 'jtech.docker_compose',
 'jtech.generator',
 'jtech.gui',
 'jtech.gui.dialogs',
 'jtech.gui.groups',
 'jtech.gui.handlers',
 'jtech.gui.theme',
 'jtech.gui.ui',
 'jtech.manipulate',
 'jtech.mockserver',
 'jtech.project',
 'jtech.template_processor',
 'jtech.utils',
 'jtech.webclient',
 'jtech.wizards']

package_data = \
{'': ['*'],
 'jtech': ['resources/banner/*',
           'resources/dependencies/*',
           'resources/mock/*',
           'resources/tpl/clean/adapters/*',
           'resources/tpl/clean/config/*',
           'resources/tpl/clean/controllers/*',
           'resources/tpl/clean/domains/*',
           'resources/tpl/clean/entities/*',
           'resources/tpl/clean/infra/*',
           'resources/tpl/clean/input/*',
           'resources/tpl/clean/output/*',
           'resources/tpl/clean/protocols/*',
           'resources/tpl/clean/repositories/*',
           'resources/tpl/clean/usecases/*',
           'resources/tpl/cqrs/aggregate/*',
           'resources/tpl/cqrs/commands/*',
           'resources/tpl/cqrs/controllers/*',
           'resources/tpl/cqrs/entities/*',
           'resources/tpl/cqrs/infra/*',
           'resources/tpl/cqrs/protocols/*',
           'resources/tpl/cqrs/queries/*',
           'resources/tpl/cqrs/repositories/*',
           'resources/tpl/cqrs/services/*',
           'resources/tpl/cqrs/tests/*']}

install_requires = \
['Jinja2==3.1.2',
 'MarkupSafe==2.1.3',
 'bs4>=0.0.1,<0.0.2',
 'certifi==2023.5.7',
 'charset-normalizer==3.1.0',
 'click==8.1.3',
 'colorama==0.4.6',
 'idna==3.4',
 'prompt-toolkit==3.0.38',
 'pyfiglet>=0.8.post1,<0.9',
 'pyqt5>=5.15.9,<6.0.0',
 'pyyaml>=6.0,<7.0',
 'qdarkstyle>=3.1,<4.0',
 'questionary==1.10.0',
 'requests==2.31.0',
 'ruamel-yaml>=0.17.32,<0.18.0',
 'setuptools>=68.0.0,<69.0.0',
 'textwrap3>=0.9.2,<0.10.0',
 'urllib3==1.26.4',
 'wcwidth==0.2.6']

entry_points = \
{'console_scripts': ['jtech = jtech.__main__:main']}

setup_kwargs = {
    'name': 'jtech',
    'version': '1.0.11',
    'description': 'Jtech Project CLI',
    'long_description': None,
    'author': 'Angelo Vicente Filho',
    'author_email': 'angelo.vicente@veolia.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
